
Redmine - Defect #3753

Plugin asset URLs not correctly generated for sub-URI deployments

2009-08-18 15:18 - John Koleszar

Status: Closed Start date: 2009-08-18

Priority: Normal Due date:  

Assignee: Eric Davis % Done: 0%

Category: Plugin API Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version:  

Description

When Redmine is installed in a sub-uri (eg www.example.org/redmine), the URLs generated for plugin assets do not prepend the

relative_url_root. Strictly speaking, this is a bug in the Engines plugin, not Redmine, but there has been no response to my report on

the Engines developers' list

1

.

[1] http://lists.rails-engines.org/pipermail/engine-developers-rails-engines.org/2009-August/000344.html

Related issues:

Is duplicate of Redmine - Defect #3935: stylesheet_link_tag with plugin doesn... Closed 2009-09-28

History

#1 - 2009-09-01 05:25 - Eric Davis

When Redmine is upgraded for Rails 2.3.3 (#3597), we'll probably need to upgrade Engines also.  If the bug still exists, I can try to fix it for Redmine

and send it to the Engines team.

#2 - 2010-09-17 06:23 - Eric Davis

- Status changed from New to Closed

- Resolution set to Duplicate

Was fixed in #3935, marking this as a duplicate.
